## ldif3 3.0.2

=== debian/changelog ===
ldif3 (3.0.2-1) unstable; urgency=low

  * Initial release (Closes: #790672).

 -- Michael Fladischer <fladi@debian.org>  Thu, 02 Apr 2015 15:46:31 +0200

## ldif3 3.1.0

=== debian/changelog ===
ldif3 (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 13 Jul 2015 20:49:00 +0200

## ldif3 3.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ldif3 (3.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 25 Sep 2015 17:25:21 +0200

=== debian/control ===
Source: ldif3
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 9),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ldif3.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/ldif3.git
Homepage: https://github.com/xi/ldif3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-ldif3
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: generate and parse LDIF data
 This module parses and generates LDAP data in the format LDIF. It is
 implemented in pure Python and does not rely on any non-standard modules. The
 codebase is a fork of the ldif module from python-ldap with additional
 python3/unicode support.

Package: python3-ldif3
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: generate and parse LDIF data (Python3 version)
 This module parses and generates LDAP data in the format LDIF. It is
 implemented in pure Python and does not rely on any non-standard modules. The
 codebase is a fork of the ldif module from python-ldap with additional
 python3/unicode support.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ldif3

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.rst

## ldif3 3.2.0

=== debian/changelog ===
ldif3 (3.2.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Initialize git-dpm.
  * Clean up files in ldif3.egg-info to allow two builds in a row.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Jun 2016 14:15:28 +0200

## ldif3 3.2.1

=== debian/changelog ===
ldif3 (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Jan 2017 12:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ldif3.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/ldif3.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ldif3.git
 Homepage: https://github.com/xi/ldif3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

## ldif3 3.2.2

=== debian/changelog ===
ldif3 (3.2.2-3) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 11 Aug 2019 00:14:30 +0500

ldif3 (3.2.2-2) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Set environment variable in d/rules to diasable network-based tests.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jul 2019 09:04:10 +0200

ldif3 (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Copy tests.py to builddir so nosetests picks them up during build.
  * Add python(3)-mock and python(3)-nose to Build-Depends so tests can
    run during build.
  * Add patch to skip tests that depend on network.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Mar 2017 09:21:09 +0100

=== debian/control ===
Source: ldif3
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-mock,
 python3-nose,
 python3-setuptools,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/ldif3
Vcs-Git: https://salsa.debian.org/python-team/modules/ldif3.git
Homepage: https://github.com/xi/ldif3
Testsuite: autopkgtest-pkg-python

Package: python3-ldif3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: generate and parse LDIF data (Python3 version)
 This module parses and generates LDAP data in the format LDIF. It is
 implemented in pure Python and does not rely on any non-standard modules. The
 codebase is a fork of the ldif module from python-ldap with additional
 python3/unicode support.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ldif3
export PYBUILD_BEFORE_TEST=cp {dir}/tests.py {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/tests.py
export NO_NETWORK=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.rst

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ldif3-$1.tar.gz/ \
https://github.com/xi/ldif3/releases /xi/ldif3/archive/([\d.]+)\.tar\.gz
